from openpyxl import load_workbook
from .base_parser import BaseParser

class EXCELParser(BaseParser):

    def parser(self, file_path) -> list:
        workbook = load_workbook(filename=file_path)
        text = []
        for sheet_name in workbook.sheetnames:
            sheet = workbook[sheet_name]
            for row in sheet.iter_rows(values_only=True):
                for cell_value in row:
                    if cell_value is not None:
                        text.append(str(cell_value))
        result = "".join(text)
        return [result]

if __name__ == '__main__':
    file_path = '/home/kylin/wangyan/test-search/向量数据库.xlsx'
    excel_parser = EXCELParser()
    text = excel_parser.parser(file_path)
    print(text)
